Support » Plugin: Timeline Express » Fatal error

  • Resolved Zee

    (@zaffarn)


    Hi

    I updated your plugin, however I am now getting error message when trying to re-activate the plugin.

    I am getting the following error message

    `Plugin could not be activated because it triggered a fatal error.
    Fatal error: Class ‘KeenIO\Client\KeenIOClient’ not found in wp-content/plugins/timeline-express/lib/classes/usage-tracking/wp-plugin-usage-tracker.php on line 78

    I have tried reinstalling the plugin as well, I still get same error message. Can you please help

    • This topic was modified 5 years, 6 months ago by Zee.
    • This topic was modified 5 years, 6 months ago by Zee.
Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Contributor Code Parrots

    (@codeparrots)

    Hi @zaffarn,

    Cna you try manually downloading the file from the directory and then manually uploading it through ‘Plugins > Add New > Upload’:
    https://downloads.wordpress.org/plugin/timeline-express.1.3.3.zip

    It’s possible that the file is not being created properly during the upgrade process on your end due to permissions or some other reason.

    • This reply was modified 5 years, 6 months ago by Code Parrots.
    Thread Starter Zee

    (@zaffarn)

    Hi

    I tried exactly what you said, and I still get the same error message when I try to activate the plugin.

    Regards

    Plugin Contributor Code Parrots

    (@codeparrots)

    Hi @zaffarn,

    What version of PHP is your site running? It’s possible that you are running an older version of PHP that doesn’t yet support namespaces.

    Thread Starter Zee

    (@zaffarn)

    Hi

    Which version would you like me to run it on, I have following versions available
    5.2
    5.3
    5.4
    5.5

    Regards

    Thread Starter Zee

    (@zaffarn)

    Update:

    I have tried all 4 versions and I am getting same error message

    Plugin Contributor Code Parrots

    (@codeparrots)

    Hi Zafi,

    Idealy you want a later version, 5.6, or something similar. 5.4 should work fine though.

    I’m not entirely sure why things wouldn’t be working on your end. This is the first report we are receiving of this issue.

    Who is your web host?

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Fatal error’ is closed to new replies.